org.apache.cassandra.index.sasi.analyzer.filter

## Class BasicResultFilters.UpperCase

- java.lang.Object
- - org.apache.cassandra.index.sasi.analyzer.filter.FilterPipelineTask<java.lang.String,java.lang.String>
  - - org.apache.cassandra.index.sasi.analyzer.filter.BasicResultFilters.UpperCase

Enclosing class:
  BasicResultFilters

    public static class BasicResultFilters.UpperCase
    extends FilterPipelineTask<java.lang.String,java.lang.String>

### Field Summary

### Fields inherited from class org.apache.cassandra.index.sasi.analyzer.filter.FilterPipelineTask

`next`

### Constructor Summary

Constructors
Constructor and Description
`UpperCase()`
`UpperCase(java.util.Locale locale)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `process(java.lang.String input)`

### Methods inherited from class org.apache.cassandra.index.sasi.analyzer.filter.FilterPipelineTask

`getName, setLast`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpperCase

    public UpperCase(java.util.Locale locale)

#### UpperCase

    public UpperCase()

### Method Detail

#### process

    public java.lang.String process(java.lang.String input)
                             throws java.lang.Exception

Specified by:
  `process` in class `FilterPipelineTask<java.lang.String,java.lang.String>`
Throws:
  `java.lang.Exception`